tidy.kde {broom} | R Documentation

## Tidy a(n) kde object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'kde'
    tidy(x, ...)

### Arguments

`x` | A `kde` object returned from `ks::kde()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each point in the estimated grid. The result contains one column (named `x1`, `x2`, etc) for each dimension, and an `estimate` column containing the estimated density.

### See Also

`tidy()`, `ks::kde()`

### Examples

    if (requireNamespace("ks", quietly = TRUE)) {

      library(ks)

      dat <- replicate(2, rnorm(100))
      k <- kde(dat)

      td <- tidy(k)
      td

      library(ggplot2)
      ggplot(td, aes(x1, x2, fill = estimate)) +
        geom_tile() +
        theme_void()

      # also works with 3 dimensions
      dat3 <- replicate(3, rnorm(100))
      k3 <- kde(dat3)

      td3 <- tidy(k3)
      td3
    }

[Package broom version 0.5.2 Index]